# bitset File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file bitset.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- struct std::_Base_bitset< _Nw >
- struct std::_Base_bitset< 0 >
- struct std::_Base_bitset< 1 >
- struct std::_Sanitize< _Extrabits >
- struct std::_Sanitize< 0 >
- class std::bitset< _Nb >
    The bitset class represents a fixed-size sequence of bits. More...
- class std::bitset< _Nb >::reference

## Defines

- #define _GLIBCXX_BITSET
- #define _GLIBCXX_BITSET_BITS_PER_WORD
- #define _GLIBCXX_BITSET_WORDS(__n)

## Functions

- template<size_t _Nb> bitset< _Nb > std::operator & (const bitset< _Nb > &__x, const bitset< _Nb > &__y)
- template<size_t _Nb> bitset< _Nb > std::operator^ (const bitset< _Nb > &__x, const bitset< _Nb > &__y)
- template<size_t _Nb> bitset< _Nb > std::operator| (const bitset< _Nb > &__x, const bitset< _Nb > &__y)

- template<class _CharT, class _Traits, size_t _Nb> std::basic_ostream< _CharT,
  _Traits > & std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const bitset< _Nb > &__x)
- template<class _CharT, class _Traits, size_t _Nb> std::basic_istream< _CharT,
  _Traits > & std::operator>> (std::basic_istream< _CharT, _Traits > &__is, bitset< _Nb > &__x)